Redmine - Defect #8596

Make possible to obtain issue_priorities and issue_statuses via RESTful WS
2011-06-13 12:56 - pasquale [:dedalus]

Status: Closed Start date: 2011-06-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

It seems that now is impossible to query RESTful WS to retrieve current used issue_priorities and issue_statuses: should be
possibile to make possibile generic a redmine client that can update issues changing priority and status

Related issues:

Related to Redmine - Feature #9133: improve error message about missing prior... New 2011-08-26
Related to Redmine - Feature #7180: List of statuses in REST API Closed 2010-12-27
Is duplicate of Redmine - Feature #7402: REST API - Enumerations New 2011-01-21
History

#1 - 2011-08-19 19:11 - Alex Last

| need this functionality as well to implement a better data import/export.

#2 - 2011-08-26 19:45 - Alex Last

- Assignee set to Etienne Massip

One of my users has reported that could not create issues using Redmine Java API:

org.redmine.ta.RedmineException: Priority can't be blank

at org.redmine.ta.RedmineManager.sendRequest(RedmineManager.java:270)

at org.redmine.ta.RedmineManager.createlssue(RedmineManager.java:167)

at org.redmine.ta.Simple.tryCreatelssue(Simple.java:90)

at org.redmine.ta.Simple.main(Simple.java:48)

| was trying to reproduce the problem on several different Redmine installs with Postgresql, MySQL, different Redmine versions, ...

It turned out the user didn't have a "default Issue priority" set in his Redmine administration panel.

A good solution here is for REST API to provide a list of existing priorities with IDs so that remote clients can use them. This is requested in #8596.

A minor easy fix would be to improve the error message: change it from

Priority can't be blank

to

Priority can't be blank. No default priority is set in the Redmine server settings. please use menu "Administration -> Enumerations -> Issue
Priorities" to set the default priority.

Users will really appreciate nice error messages!

Etienne, | hope you don't mind if | assign this to you?

#3 - 2011-08-29 10:12 - Etienne Massip
- Status changed from New to Closed

- Assignee deleted (Etienne Massip)

Closed as duplicate of #7402.

#4 - 2011-08-29 10:12 - Etienne Massip
https://www.redmine.org/issues/7402

- Resolution set to Duplicate
